バックフィルはすでに実行中です

Moses Skodaエンジニア読了目安 1分

APIはこのエラーを409 Conflictで返します。typeはhttps://lingo.dev/docs/api/errors/backfill-runningです。すべてのエラーに共通する形式については、エラーとステータスコードを参照してください。

ここではバックフィル<backfillId>がまだ実行中です。進行状況を確認し、完了してから別のバックフィルを開始してください。

フィールド#

本文には、標準のtype、status、title、detailの各メンバーに加え、次のフィールドが含まれます。detailのテキストはこれらのフィールドから生成されるため、クライアント側で独自のテキストを表示することもできます。

フィールド型
backfillIdstring

例#

json
{
  "detail": "Backfill <backfillId> is still running here. Follow it, and start another once it finishes.",
  "backfillId": "<backfillId>",
  "type": "https://lingo.dev/docs/api/errors/backfill-running",
  "status": 409,
  "title": "Backfill already running"
}

このエラーを返すエンドポイント#

  • POST /v2/organizations/{orgId}/github/connections/{connectionId}/import-history
  • POST /v2/organizations/{orgId}/measurements/{measurementId}/backfill
  • POST /v2/organizations/{orgId}/zendesk/connections/{connectionId}/import-history